=== debian/changelog ===
kdelibs-trinity (4:3.5.13.3~pre393-0ubuntu16.04.0+9) xenial; urgency=low

  * Automated git build for a760303dd89199beb31f1df9a8f99c4eb989957b

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 31 May 2022 16:26:11 +0200
