=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="OFF" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ISPELL="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DDEFAULT_SPELL_CHECKER="ASPELL" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DWITH_IMAGETOPS_BINARY="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_kdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=kdelibs-trinity-dbg

DEB_DH_MAKESHLIBS_ARGS_kdelibs4c2a-trinity := -V'kdelibs4c2a-trinity (>= 4:3.5.8-1)'

binary-install/kdelibs-data-trinity::
	install -p -D -m644 kded/applications.menu debian/kdelibs-data-trinity/opt/trinity/etc/xdg/menus/kde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/kdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/apps/kdeui/pics/aboutkde.png debian/icons/aboutkde-kubuntu.png.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/system.png debian/icons/cr16-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/system.png debian/icons/cr22-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/system.png debian/icons/cr32-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/system.png debian/icons/cr48-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/system.png debian/icons/cr64-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/system.png debian/icons/cr128-device-system.png.uu
#	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/system.svgz debian/icons/crsc-device-system.svgz.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/kdelibs4-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/kdelibs4-trinity-dev.substvars
endif

binary-install/kdelibs4-trinity-doc::
	[ -d debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/kdelibs-apidocs ] || \
	mv debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/tdelibs-apidocs \
	   debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/kdelibs-apidocs

binary-install/kdelibs4c2a-trinity::
	mv debian/tmp/opt/trinity/bin/kcmshell debian/tmp/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/kcmshell.real debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/kcmshell debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell
